Bug 105004 - [PATCH] games/sauerbraten: check non-default options
Summary: [PATCH] games/sauerbraten: check non-default options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-01 11:30 UTC by Dmitry Marakasov
Modified: 2006-11-07 20:10 UTC (History)
0 users

See Also:


Attachments
patch-sauerbraten (749 bytes, text/plain)
2006-11-01 11:30 UTC, Dmitry Marakasov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2006-11-01 11:30:20 UTC
It's a good practice to check non-default options in makefiles. I.e. check for WITH_OPT if OPT is off by default, and for WITHOUT_OPT if OPT is on by default. This will allow correct behavior when overriding options from make.conf. See games/cube and other ports.
Comment 1 Edwin Groothuis freebsd_committer 2006-11-01 11:30:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2006-11-06 18:20:14 UTC
State Changed
From-To: open->closed

Committed thanks :)
Comment 3 dfilter service freebsd_committer 2006-11-06 18:21:55 UTC
acm         2006-11-06 18:19:46 UTC

  FreeBSD ports repository

  Modified files:
    games/sauerbraten    Makefile 
  Log:
  - Use the correct way to check the default options on Makefile
  
  PR:             ports/105004
  Submitted by:   Dmitry Marakasov <amdmi3__at__mail.ru>
  
  Revision  Changes    Path
  1.9       +3 -3      ports/games/sauerbraten/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ulrich Spoerlein 2006-11-07 19:58:41 UTC
Hi, Dmitry,

a lot of ports have bogus OPTIONS checks, but this should only be a
problem if BATCH or PACKAGE_BUILDING is defined.

Could you please review the change at 
http://www.freebsd.org/cgi/query-pr.cgi?pr=105147
to see if it would fix the problem with sauerbraten? IMHO, this is a
more complete fix.

In total, I count 252 affected ports, maintained by 148 maintainers. I
can publish the list upon request, but PR 105147 is the real fix, IMHO.

Ulrich Spoerlein